﻿<%@ page language="C#" masterpagefile="~/ReportLayer/ReportLayerMaster.master" autoeventwireup="true" inherits="ReportLayer_InListReport, CardAccess.Web.UI_deploy" title="Untitled Page" theme="Office2007Black" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <script language="javascript" type="text/javascript">
        
    </script>
    <asp:UpdatePanel ID="asyncPanel" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <asp:HiddenField ID="hfUTCOffset" runat="server" />
            <asp:Label ID="lblTableHeader" runat="server" SkinID="TableHeader" Style="font-size: 8pt;
                font-weight: bold; color: #033E82; padding-left: 5px;"></asp:Label>
            <br />
            &nbsp;
            <ig:WebTab ID="UltraWebTab1" runat="server" Width="100%" Height="630px">
                <PostBackOptions EnableLoadOnDemandUrl="true" />
                <Tabs>
                    <ig:ContentTabItem Text="Configuration">
                        <Template>
                            <div style="padding: 8px; padding-top: 12px;">
                                <div style="padding-top: 5px;" class="ig_Office_2007ReportPreViewBg">
                                    <asp:LinkButton Style="margin-top: 10px; text-decoration: none; color: #033E82" ID="lnkPreview"
                                        OnClick="LinkPreview_Click" runat="server" OnClientClick="return previewReport();"
                                        ToolTip="Click here to Preview the report">Preview report</asp:LinkButton>
                                </div>
                            </div>
                            <div id="divConfiguration" runat="server">
                                <asp:UpdatePanel runat="server" UpdateMode="Always" ChildrenAsTriggers="true">
                                    <ContentTemplate>
                                        <asp:Timer ID="Timer1" runat="server" OnTick="Timer1_Tick">
                                        </asp:Timer>
                                        <igmisc:WebGroupBox ID="gboSelectFilter" runat="server" Text="" Width="808px" BackColor="Transparent">
                                            <Template>
                                                <table cellpadding="3" cellspacing="3" width="100%">
                                                    <tr>
                                                        <td>
                                                            <asp:Panel ID="Panel2" runat="server" GroupingText="Select Filter" Width="100%">
                                                                <ig:WebDropDown ID="cboFilter" runat="server" Width="170px" AutoPostBack="true" OnSelectionChanged="cboFilter_SelectedRowChanged">
                                                                </ig:WebDropDown>
                                                            </asp:Panel>
                                                        </td>
                                                        <td>
                                                            <asp:Panel ID="Panel4" runat="server" GroupingText="User Field" Width="100%">
                                                                <ig:WebDropDown ID="cmdUserField" runat="server" Width="170px" AutoPostBack="true"
                                                                    OnSelectionChanged="cmdUserField_SelectedIndexChanged">
                                                                </ig:WebDropDown>
                                                            </asp:Panel>
                                                        </td>
                                                        <td>
                                                            <asp:Panel ID="Panel3" runat="server" GroupingText="Time Format" Width="100%">
                                                                <ig:WebDropDown ID="cboTimeFormat" runat="server" Width="120px" AutoPostBack="true"
                                                                    DisplayMode="DropDownList" DropDownContainerHeight="60px" OnSelectionChanged="cboTimeFormat_SelectedIndexChanged">
                                                                </ig:WebDropDown>
                                                            </asp:Panel>
                                                        </td>
                                                        <td>
                                                            <asp:Panel ID="pnlPartition" runat="server" GroupingText="Partition" Width="100%">
                                                                <ig:WebDropDown ID="ddlPartition" runat="server" Visible="true" DisplayMode="DropDownList"
                                                                    Width="180px" DropDownContainerHeight="150px" AutoPostBackFlags-SelectionChanged="On" OnSelectionChanged="ddlPartition_SelectedIndexChanged">
                                                                </ig:WebDropDown>
                                                            </asp:Panel>
                                                        </td>
                                                        <%--<td>
                                                    <div style="padding-top: 5px;" class="ig_Office_2007ReportPreViewBg">
                                                        <asp:LinkButton Style="margin-top: 10px; text-decoration: none; color: #033E82" ID="lnkRefresh"
                                                            runat="server" ToolTip="Click here to refresh" OnClick="lnkRefresh_Click">Refresh</asp:LinkButton>
                                                    </div>
                                                </td>--%>
                                                    </tr>
                                                </table>
                                            </Template>
                                        </igmisc:WebGroupBox>
                                        <br />
                                        <igmisc:WebGroupBox ID="WebGroupBox1" runat="server" Text="" Width="808px" BackColor="Transparent">
                                            <Template>
                                                <table cellpadding="3" cellspacing="3" width="100%">
                                                    <tr>
                                                        <td>
                                                            <asp:RadioButton ID="rdoShowAll" runat="server" Text="Show All" AutoPostBack="true"
                                                                GroupName="radioFilter" Checked="true" OnCheckedChanged="radioFilter_OnCheckedChanged" />
                                                        </td>
                                                        <td>
                                                            <asp:RadioButton ID="rdoShowAPBAreasOnly" runat="server" Text="Show APB Areas Only"
                                                                AutoPostBack="true" GroupName="radioFilter" OnCheckedChanged="radioFilter_OnCheckedChanged" />
                                                        </td>
                                                        <td>
                                                            <asp:RadioButton ID="rdoShowAPBOnly" runat="server" Text="Show APB Only" AutoPostBack="true"
                                                                GroupName="radioFilter" OnCheckedChanged="radioFilter_OnCheckedChanged" />
                                                        </td>
                                                        <td>
                                                            <asp:RadioButton ID="rdoShowTAOnly" runat="server" Text="Show T&A Only" AutoPostBack="true"
                                                                GroupName="radioFilter" OnCheckedChanged="radioFilter_OnCheckedChanged" />
                                                        </td>
                                                        <td>
                                                            <asp:RadioButton ID="rdoDoNotShowTA" runat="server" Text="Do not Show T&A" AutoPostBack="true"
                                                                GroupName="radioFilter" OnCheckedChanged="radioFilter_OnCheckedChanged" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </Template>
                                        </igmisc:WebGroupBox>
                                        <br />
                                        <ig:WebDataGrid ID="grdBadgeHolders" runat="server" Height="200px" Width="828px"
                                            AutoGenerateColumns="false" EnableDataViewState="true" EnableViewState="true"
                                            DefaultColumnWidth="110px">
                                            <EmptyRowsTemplate>
                                                <%= EmptyRowTemplateMsg%>
                                            </EmptyRowsTemplate>
                                            <Columns>
                                                <ig:BoundDataField Key="Name" DataFieldName="Name" Header-Text="Name" Width="160px">
                                                </ig:BoundDataField>
                                                <ig:BoundDataField Key="APBArea" DataFieldName="APBArea" Header-Text="APB Area" Width="140px">
                                                </ig:BoundDataField>
                                                <ig:BoundCheckBoxField Key="APBIn" DataFieldName="APBIn" Header-Text="APB In" DataType="System.Boolean"
                                                    Width="60px">
                                                </ig:BoundCheckBoxField>
                                                <ig:BoundCheckBoxField Key="TAIn" DataFieldName="TAIn" Header-Text="TAIn" DataType="System.Boolean"
                                                    Width="60px">
                                                </ig:BoundCheckBoxField>
                                                <ig:BoundDataField Key="Reader" DataFieldName="Reader" Header-Text="Reader" Width="180px">
                                                </ig:BoundDataField>
                                                <ig:BoundDataField Key="Time" DataFieldName="Time" Header-Text="Time" DataType="System.DateTime"
                                                    Width="130px">
                                                </ig:BoundDataField>
                                                <ig:BoundDataField Key="UTCOffset" DataFieldName="UTCOffset" Header-Text="UTCOffset"
                                                    Width="110px">
                                                </ig:BoundDataField>
                                                <ig:BoundDataField Key="UserField" DataFieldName="UserField" Header-Text="None" Hidden="true">
                                                </ig:BoundDataField>
                                                <ig:BoundDataField Key="PersonID" DataFieldName="PersonID" Header-Text="PersonID"
                                                    Hidden="true">
                                                </ig:BoundDataField>
                                            </Columns>
                                            <Behaviors>
                                                <ig:Filtering Enabled="true">
                                                    <ColumnSettings>
                                                        <ig:ColumnFilteringSetting Enabled="true" />
                                                    </ColumnSettings>
                                                </ig:Filtering>
                                                <ig:ColumnResizing Enabled="true">
                                                </ig:ColumnResizing>
                                                <ig:ColumnMoving Enabled="false">
                                                </ig:ColumnMoving>
                                                <ig:Sorting Enabled="true">
                                                    <ColumnSettings>
                                                        <ig:SortingColumnSetting Sortable="true" />
                                                    </ColumnSettings>
                                                </ig:Sorting>
                                                <ig:Selection CellClickAction="Row" CellSelectType="Single" RowSelectType="Single">
                                                </ig:Selection>
                                                <ig:Paging PagerAppearance="Bottom" Enabled="true" PageSize="10" QuickPages="5">
                                                </ig:Paging>
                                            </Behaviors>
                                        </ig:WebDataGrid>
                                        <table style="width: 808px">
                                            <tr>
                                                <td>
                                                    <asp:Label ID="lblTotalBadgeHolders" runat="server" Text="0"></asp:Label>
                                                </td>
                                                <td style="text-align: right;">
                                                    <asp:CheckBox ID="chkAutoRefresh" runat="server" AutoPostBack="True" Checked="true"
                                                        Visible="true" OnCheckedChanged="chkAutoRefresh_SelectedIndexChanged" Text="Auto Refresh" />
                                                </td>
                                            </tr>
                                        </table>
                                    </ContentTemplate>
                                </asp:UpdatePanel>
                                <asp:UpdatePanel runat="server" UpdateMode="Conditional" ChildrenAsTriggers="true">
                                    <ContentTemplate>
                                        <igmisc:WebGroupBox ID="gboReportCriteria" runat="server" Text="Report Criteria"
                                            Width="808px" BackColor="Transparent">
                                            <Template>
                                                <table width="100%">
                                                    <tr style="">
                                                        <td style="width: 4px; padding-left: 6px;">
                                                            <asp:Label ID="lblReportTitle" runat="server" Style="position: static" Width="71px">Report Title:</asp:Label>&nbsp;
                                                        </td>
                                                        <td valign="top" style="padding-left: 5px;">
                                                            <ig:WebTextEditor ID="tbReportTitle" Width="420px" runat="server">
                                                            </ig:WebTextEditor>
                                                        </td>
                                                        <td>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="width: 4px">
                                                        </td>
                                                        <td>
                                                            <asp:CheckBox ID="chkReportStructure" runat="server" Checked="True" Text="Show Report Structure">
                                                            </asp:CheckBox>
                                                        </td>
                                                        <td>
                                                            <asp:CheckBox ID="chkInListGeneralReport" runat="server" Style="position: static" Text="Show report without Reader group"
                                                                Checked="false" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="width: 4px">
                                                        </td>
                                                        <td>
                                                            <asp:CheckBox ID="chk24HourTimeFormat" runat="server" Style="position: static" Text="24-Hour Format"
                                                                Checked="True" />
                                                        </td>
                                                        <td>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </Template>
                                        </igmisc:WebGroupBox>
                                    </ContentTemplate>
                                </asp:UpdatePanel>
                            </div>
                        </Template>
                    </ig:ContentTabItem>
                </Tabs>
            </ig:WebTab>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
